//*****************************************************************
//
//	This code is strictly reserved by SYBERA. Its used only for
//	demonstration purposes. Any modification or integration
//	isnt allowed without permission by SYBERA.
//
//  Copyright (c) 1998 SYBERA
//
//*****************************************************************
#if !defined(_globdef_)
#define _globdef_

#define EVENT_NAME_SIZE	50

#ifdef __cplusplus
	#define EXTERN	extern "C"
#else
	#define EXTERN	extern
#endif

#define DLL_IMPORT __declspec(dllimport)
#define DLL_EXPORT __declspec(dllexport)

//Predefined interface types required for
//packet InterfaceType members  
enum IFT_TYPE
{
    IFT_INTERNAL = 0,	//Interface type : internal resources (e.g. CPU, UART, ...)
    IFT_ISA,			//Interface type : ISA bus
    IFT_EISA,			//Interface type : EISA bus
    IFT_MICROCHANNEL,
    IFT_TURBOCHANNEL,
    IFT_PCIBUS,			//Interface type : PCI bus
    IFT_VMEBUS,
    IFT_NUBUS,
    IFT_PCMCIABUS,
    IFT_CBUS,
    IFT_MPIBUS,
    IFT_MPSABUS,
    IFT_PROCESSORINTERNAL,
    IFT_INTERNALPOWERBUS,
    IFT_PNPISABUS
};

//Declare function pointers
typedef void(*FP_DMA)(PVOID);
typedef void(*FP_CALLBACK)(PVOID, PVOID, PVOID);
typedef void(*FP_RING0)(void);

#endif //_globdef_
